Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute.standard
Class MediaName

    java.lang.Object
      |
      +--javax.print.attribute.EnumSyntax
            |
            +--javax.print.attribute.standard.Media
                  |
                  +--javax.print.attribute.standard.MediaName

All Implemented Interfaces:
  Attribute, Cloneable, DocAttribute, PrintJobAttribute, PrintRequestAttribute, Serializable

public class MediaName
extends Media
implements Attribute

Class MediaName is a subclass of Media, a printing attribute class (an enumeration) that specifies the media for a print job as a name.

This attribute can be used instead of specifying MediaSize or MediaTray.

Class MediaName currently declares a few standard media names. Implementation- or site-defined names for a media name attribute may also be created by defining a subclass of class MediaName.

IPP Compatibility: MediaName is a representation class for values of the IPP "media" attribute which names media.

See Also:
  Serialized Form

Field Summary
`static MediaName` | `ISO_A4_TRANSPARENT` A4 transparency.
`static MediaName` | `ISO_A4_WHITE` white A4 paper.
`static MediaName` | `NA_LETTER_TRANSPARENT` letter transparency.
`static MediaName` | `NA_LETTER_WHITE` white letter paper.

Constructor Summary
`protected` | `MediaName(int value)` Constructs a new media name enumeration value with the given integer value.

Method Summary
`protected EnumSyntax[]` | `getEnumValueTable()` Returns the enumeration value table for class MediaTray.
`protected String[]` | `getStringTable()` Returns the string table for class MediaTray.

Methods inherited from class javax.print.attribute.standard.Media
`equals, getCategory, getName`

Methods inherited from class javax.print.attribute.EnumSyntax
`clone, getOffset, getValue, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.print.attribute.Attribute
`getCategory, getName`

Field Detail

### NA_LETTER_WHITE

    public static final MediaName NA_LETTER_WHITE

  white letter paper.

### NA_LETTER_TRANSPARENT

    public static final MediaName NA_LETTER_TRANSPARENT

  letter transparency.

### ISO_A4_WHITE

    public static final MediaName ISO_A4_WHITE

  white A4 paper.

### ISO_A4_TRANSPARENT

    public static final MediaName ISO_A4_TRANSPARENT

  A4 transparency.

Constructor Detail

### MediaName

    protected MediaName(int value)

  Constructs a new media name enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

Method Detail

### getStringTable

    protected String[] getStringTable()

  Returns the string table for class MediaTray.

  Overrides:
    `getStringTable` in class `EnumSyntax`
  Returns:
    the String table.

### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()

  Returns the enumeration value table for class MediaTray.

  Overrides:
    `getEnumValueTable` in class `EnumSyntax`
  Returns:
    the enumeration value table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.